#!/bin/sh
. ./environment
echo " --- STARTING osmo-pcu ---"
bin/osmo-pcu -r 1 &

echo " --- q Enter to stop ---"
while true; do
  read enter
  if [ "x$enter" == "xq" ]; then
    break;
  fi
  if [ -n "$enter" ]; then
    echo " --- q Enter to stop ---"
  fi
done

echo " --- STOPPING ---"

kill_name() {
  name="$1"
  pid="$(ps w | grep "$name" | grep -v grep | sed 's/^ \([0-9]*\) .*/\1/')"
  if [ -n "$pid" ]; then
    kill -2 "$pid"
  fi
}

kill_name osmo-pcu

sleep 3
ps w | grep osmo
