#!/bin/sh
echo " --- RELOADING firmware ---"
cat /lib/firmware/sysmobts-v?.bit > /dev/fpgadl_par0
cat /lib/firmware/sysmobts-v?.out > /dev/dspdl_dm644x_0

. ./environment
echo " --- STARTING osmo-bts-sysmo ---"
bin/osmo-bts-sysmo -r 1 -M -i 192.168.0.132 &
sleep 3
echo " --- STARTING osmo-pcu ---"
bin/osmo-pcu -r 1 &

echo " --- q Enter to stop ---"
while true; do
  read enter
  if [ "x$enter" == "xq" ]; then
    break;
  fi
  if [ -n "$enter" ]; then
    echo " --- q Enter to stop ---"
  fi
done

echo " --- STOPPING ---"

kill_name() {
  name="$1"
  pid="$(ps w | grep "$name" | grep -v grep | sed 's/^ *\([0-9]*\) .*/\1/')"
  if [ -n "$pid" ]; then
    echo kill -2 "$pid"
    kill -2 "$pid"
  fi
}

kill_name osmo-bts-sysmo
kill_name osmo-pcu

sleep 3
ps w | grep osmo
